Create Interview
curl --request POST \
--url https://api.ontora.com/v1/interviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"agent_behavior": "<string>",
"channel": "in_app_chat",
"completion_threshold": 90,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"interview_order": "seniority_high_first",
"interview_duration_minutes": 30,
"timezone": "<string>",
"start_immediately": true,
"scheduling_mode": "availability",
"quick_mode_hours": 123,
"weekly_availability": {},
"project_context": "<string>",
"interview_context_for_employee": "<string>",
"invitation_email_message": "<string>",
"teams_invitation_message": "<string>",
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_profile_snapshot": {},
"interview_type": "speaking_only",
"default_language": "<string>",
"voice_id": "<string>",
"voice_provider": "<string>",
"voice_language": "<string>",
"voice_speed": 123,
"welcome_screen": "<string>",
"closing_message": "<string>",
"participant_voice_selection_enabled": false,
"participant_mode_selection_enabled": false,
"participant_language_selection_enabled": false,
"participant_anonymity_selection_enabled": false,
"participant_review_enabled": false,
"result_summary_enabled": false,
"folder": "<string>",
"recurring_interval": "<string>",
"report_floor_count": 123,
"incremental_update_every_n": 123,
"use_agentic_synthesis": true,
"is_anonymous": false,
"anonymity_level": "<string>"
}
'import requests
url = "https://api.ontora.com/v1/interviews"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"agent_behavior": "<string>",
"channel": "in_app_chat",
"completion_threshold": 90,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"interview_order": "seniority_high_first",
"interview_duration_minutes": 30,
"timezone": "<string>",
"start_immediately": True,
"scheduling_mode": "availability",
"quick_mode_hours": 123,
"weekly_availability": {},
"project_context": "<string>",
"interview_context_for_employee": "<string>",
"invitation_email_message": "<string>",
"teams_invitation_message": "<string>",
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_profile_snapshot": {},
"interview_type": "speaking_only",
"default_language": "<string>",
"voice_id": "<string>",
"voice_provider": "<string>",
"voice_language": "<string>",
"voice_speed": 123,
"welcome_screen": "<string>",
"closing_message": "<string>",
"participant_voice_selection_enabled": False,
"participant_mode_selection_enabled": False,
"participant_language_selection_enabled": False,
"participant_anonymity_selection_enabled": False,
"participant_review_enabled": False,
"result_summary_enabled": False,
"folder": "<string>",
"recurring_interval": "<string>",
"report_floor_count": 123,
"incremental_update_every_n": 123,
"use_agentic_synthesis": True,
"is_anonymous": False,
"anonymity_level": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
goal: '<string>',
agent_behavior: '<string>',
channel: 'in_app_chat',
completion_threshold: 90,
timeframe_start: '2023-11-07T05:31:56Z',
timeframe_end: '2023-11-07T05:31:56Z',
interview_order: 'seniority_high_first',
interview_duration_minutes: 30,
timezone: '<string>',
start_immediately: true,
scheduling_mode: 'availability',
quick_mode_hours: 123,
weekly_availability: {},
project_context: '<string>',
interview_context_for_employee: '<string>',
invitation_email_message: '<string>',
teams_invitation_message: '<string>',
agent_profile_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_profile_snapshot: {},
interview_type: 'speaking_only',
default_language: '<string>',
voice_id: '<string>',
voice_provider: '<string>',
voice_language: '<string>',
voice_speed: 123,
welcome_screen: '<string>',
closing_message: '<string>',
participant_voice_selection_enabled: false,
participant_mode_selection_enabled: false,
participant_language_selection_enabled: false,
participant_anonymity_selection_enabled: false,
participant_review_enabled: false,
result_summary_enabled: false,
folder: '<string>',
recurring_interval: '<string>',
report_floor_count: 123,
incremental_update_every_n: 123,
use_agentic_synthesis: true,
is_anonymous: false,
anonymity_level: '<string>'
})
};
fetch('https://api.ontora.com/v1/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"agent_behavior": "<string>",
"status": "<string>",
"channel": "<string>",
"completion_threshold": 123,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"interview_order": "<string>",
"interview_duration_minutes": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_shared": false,
"shared_from_workspace_name": "<string>",
"share_scope": "restricted",
"share_link_enabled": false,
"join_link_delivery": false,
"timezone": "<string>",
"start_immediately": true,
"scheduling_mode": "availability",
"quick_mode_hours": 123,
"weekly_availability": {},
"project_context": "<string>",
"success_criteria": "<string>",
"interview_context_for_employee": "<string>",
"invitation_email_message": "<string>",
"teams_invitation_message": "<string>",
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_profile_snapshot": {},
"draft_guide": [
"<unknown>"
],
"interview_type": "<string>",
"default_language": "<string>",
"voice_id": "<string>",
"voice_provider": "<string>",
"voice_language": "<string>",
"voice_speed": 1,
"participant_voice_selection_enabled": false,
"participant_mode_selection_enabled": false,
"participant_language_selection_enabled": false,
"participant_anonymity_selection_enabled": false,
"participant_review_enabled": false,
"result_summary_enabled": false,
"result_summary_recipient_count": 0,
"welcome_screen": "<string>",
"closing_message": "<string>",
"folder": "<string>",
"recurring_interval": "<string>",
"followup_enabled": false,
"followup_strategy": "<string>",
"followup_intervals_hours": [
123
],
"followup_deadline_days": [
123
],
"followup_message": "<string>",
"report_floor_count": 123,
"incremental_update_every_n": 123,
"use_agentic_synthesis": false,
"is_anonymous": false,
"anonymity_level": "none",
"contact_count": 0,
"completed_count": 0,
"scheduled_count": 0,
"created_by_email": "<string>",
"created_by_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interviews
Create Interview
POST
/
v1
/
interviews
Create Interview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Interview length in minutes. Must be one of 5, 10, 15, 20, 30, or 45; other values are snapped to the nearest allowed one (ties favor the shorter), and 0 maps to the default of 30.
Maximum string length:
4000Maximum string length:
4000Response
Successful Response
Was this page helpful?